cURL
curl "https://api.phrase.com/v2/accounts/:account_id/job_templates" \
-u USERNAME_OR_ACCESS_TOKENphrase organization_job_templates list \
--account_id <account_id> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/job_templates"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/accounts/{account_id}/job_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "626ea67628690c73ac86ac81eec2d185",
"name": "template",
"briefing": "text",
"created_at": "2017-01-28T09:52:53Z",
"updated_at": "2017-01-28T09:52:53Z"
}
]Organization Job Templates
List organization job templates
List all job templates for the given account.
GET
/
accounts
/
{account_id}
/
job_templates
cURL
curl "https://api.phrase.com/v2/accounts/:account_id/job_templates" \
-u USERNAME_OR_ACCESS_TOKENphrase organization_job_templates list \
--account_id <account_id> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/job_templates"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/accounts/{account_id}/job_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "626ea67628690c73ac86ac81eec2d185",
"name": "template",
"briefing": "text",
"created_at": "2017-01-28T09:52:53Z",
"updated_at": "2017-01-28T09:52:53Z"
}
]Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Path Parameters
Account ID
Query Parameters
Page number
Limit on the number of objects to be returned, between 1 and 100. 25 by default
Response
OK
When true, jobs created from this template are auto-translated on creation. Maps to the autotranslate field on the request body.
Optional. ID of the source locale used by jobs created from this template. When omitted, the project's default source locale is used.
Was this page helpful?